{% load static %}
<!DOCTYPE html>

<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
        <link rel="stylesheet" href="{% static 'style.css' %}">
        <meta charset="utf-8">
        <title>
            Hans' Bio
        </title>
        <script>
            $(document).ready(function(){
                $("#themeChanger").on({
                    click: function(){
                      $("body").css("background-color", "white");
                    }
                });    
                $("#themeChanger").on({
                    click: function(){
                      $("body").css("background-color", "lightgray");
                    }
                });
                
            });
        </script>
        <style>
                .accordion {
                  background-color: #880000;
                  color: #ffffff;
                  cursor: pointer;
                  padding: 18px;
                  width: 100%;
                  border: none;
                  text-align: left;
                  outline: none;
                  font-size: 15px;
                  transition: 0.4s;
                }
                
                .active, .accordion:hover {
                  background-color: orange;
                }
                
                .accordion:after {
                  content: '\002B';
                  color: #777;
                  font-weight: bold;
                  float: right;
                  margin-left: 5px;
                }
                
                .active:after {
                  content: "\2212";
                }
                
                .panel {
                  padding: 0 18px;
                  background-color: white;
                  max-height: 0;
                  overflow: hidden;
                  transition: max-height 0.2s ease-out;
                }
        </style>
    </head>
    <body>
        <div>
            <h1 style="text-align:center;">
                Hans' Bio
            </h1>
        </div>
        <div>
            <button id="themeChanger" type="button" class="btn btn-primary btn-lg btn-block">Ubah Tema</button>
        </div>
        <br/>
        <button class="accordion">Aktivitas Saat Ini</button>
        <div class="panel">
            <p>Saat ini sedang menimba ilmu di Fakultas Ilmu Komputer Universitas Indonesia jurusan Sistem Informasi</p>
            <p>Saat ini juga sedang mempelajari web design</p>
        </div>

        <button class="accordion">Pengalaman Organisasi/Kepanitiaan</button>
        <div class="panel">
            <p>Panitia Bedah Kampus UI 2018</p>
            <p>Panitia Wisuda Ganjil Fasilkom UI 2018</p>
        </div>
        <button class="accordion">Prestasi</button>
        <div class="panel">
            <p>Juara 3 menggambar saat kelas 5 SD.</p>
        </div>

        <script>
            var acc = document.getElementsByClassName("accordion");
            var i;

            for (i = 0; i < acc.length; i++) {
            acc[i].addEventListener("click", function() {
                this.classList.toggle("active");
                var panel = this.nextElementSibling;
                if (panel.style.maxHeight) {
                panel.style.maxHeight = null;
                } else {
                panel.style.maxHeight = panel.scrollHeight + "px";
                } 
            });
            }
        </script>

    </body>
</html>